<?php include "pages/header.php"; ?>
<?php
    //check if there is a periodic job
	$periodic = 0;
	foreach($reports as $report) { 
		if ($report->getType() == "R") $periodic++;
	}
	$disabled = count($reports) > 0 ? false : true;
?>	
<div id="content">
	<div id="spacer">
		<form action="post_action.php" method="POST">
		
		<div id="periodic_jobs_controls1">
			<label for="periodic_jobs_action1">With Selected:</label>
			<select name="periodic_jobs_action1" id="periodic_jobs_action1" <?= $disabled ? "disabled='disabled'" : '' ?> >
				<option value="">Select Action</option>
				<?php if ($_SESSION["USER"]->isAdmin()) { ?>
				<option value="delete">Delete</option>
				<?php } ?>
				<option value="activate">Activate</option>
				<option value="deactivate">Deactivate</option>
			</select>
			<input type="submit" value="<?= tt("global_form_submit") ?>" name="periodic_jobs_submit1" <?= $disabled ? "disabled='disabled'" : '' ?> />
		</div>

		<table class="list">
		<caption><img src="/gfx/icons/periodic_jobs24.png" border="0" height="24" width="24" /><?= tt("menu_periodicjobs") ?></caption>
			<thead>
				<tr>
					<th class="status"><?= tt("periodicjobs_listheader_status") ?></th>
					<th class="period"><?= tt("periodicjobs_listheader_period") ?></th>
					<th class="type"><?= tt("periodicjobs_listheader_type") ?></th>
					<th class="title"><a href="index.php?sort=title&amp;asc=<?php if ($sortAsc) { ?>0<?php } else { ?>1<?php } ?>"><?= tt("periodicjobs_listheader_title") ?></a></th>
					<th class="folder"><a href="index.php?sort=folder&amp;asc=<?php if ($sortAsc) { ?>0<?php } else { ?>1<?php } ?>"><?= tt("periodicjobs_listheader_folder") ?></a></th>
					<th class="edit"><input type="checkbox" onclick="CheckAll('periodic_jobs_list', this);" /></th>
				</tr>
			</thead>
			
			<tbody id="periodic_jobs_list">
				<?php foreach($reports as $report) { ?>	
					<?php $int = (isset($int) && $int == 0) ? 1 : 0; ?>
					<?php if ($report->getType() == "R") { ?>
						<tr class="<?= ($int == 0) ? 'odd' : 'even' ?>">
							<td class="status"><img src="/gfx/icons/<?php if ($report->isActive()) { ?>active<?php } else { ?>deactive<?php } ?>16.png" title="<?php if ($report->isActive()) { ?><?= tt("periodicjobs_listheader_status_active") ?><?php } else { ?><?= tt("periodicjobs_listheader_status_inactive") ?><?php } ?>" border="0" /></td>
							<td class="period"><?= $report->getFreq() ?></td>
							<td class="type"><img src="/gfx/icons/<?= $report->getPres() ?>16.png" width="16" height="16" title="<?= $report->getPres() ?>" /></td>
                                                        <td class="title"><?= htmlentities($report->getTitle()) ?></td>
							<td class="folder"><?= $report->getFolder() ?></td>
							<td class="edit"><input type="checkbox" onclick="markrow(this);" name="report[]" value="<?= $report->getId() ?>" /></td>
						</tr>
					<?php } ?>			
				<?php } ?>
			</tbody>
		</table>

		<div id="periodic_jobs_controls2">
			<label for="periodic_jobs_action2">With Selected:</label>
			<select name="periodic_jobs_action2" id="periodic_jobs_action2" <?= $disabled ? "disabled='disabled'" : '' ?> >
				<option value="">Select Action</option>
				<?php if ($_SESSION["USER"]->isAdmin()) { ?>
				<option value="delete">Delete</option>
				<?php } ?>
				<option value="activate">Activate</option>
				<option value="deactivate">Deactivate</option>
			</select>
			<input type="submit" value="<?= tt("global_form_submit") ?>" name="periodic_jobs_submit2" <?= $disabled ? "disabled='disabled'" : '' ?> />
		</div>

		<div class="clearer"></div>
		</form>
	</div>
</div>

<?php include "pages/footer.php"; ?>
